#----------------------------------------------------------------------------bh-
# This RPM .spec file is part of the OpenHPC project.
#
# It may have been modified from the default version supplied by the underlying
# release package (if available) in order to apply patches, perform customized
# build/install configurations, and supply additional files to support
# desired integration conventions.
#
#----------------------------------------------------------------------------eh-

%{!?_rel:%{expand:%%global _rel 0.r%(test "1686" != "0000" && echo "1686" || svnversion | sed 's/[^0-9].*$//' | grep '^[0-9][0-9]*$' || git svn find-rev `git show -s --pretty=format:%h` || echo 0000)}}

%include %{_sourcedir}/OHPC_macros

%define debug_package %{nil}

%define pname warewulf-ipmi
%define dname ipmi
%define wwpkgdir /srv/warewulf

Summary: IPMI Module for Warewulf
Name: %{pname}%{PROJ_DELIM}
Version: 3.8.1
Release: 17.2.ohpc.1.3.6
#Release: 1%{?dist}
License: US Dept. of Energy (BSD-like)
Group: System Environment/Clustering
URL: http://warewulf.lbl.gov/
Source: %{pname}-%{version}.tar
ExclusiveOS: linux
Requires: warewulf-common%{PROJ_DELIM} %{name}-initramfs-%{_arch} = %{version}-%{release}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: openssl-devel
BuildRequires: warewulf-common%{PROJ_DELIM}
Conflicts: warewulf < 3
#!BuildIgnore: post-build-checks
BuildRoot: %{?_tmppath}%{!?_tmppath:/var/tmp}/%{name}-%{version}-%{release}-root

%description
Warewulf >= 3 is a set of utilities designed to better enable
utilization and maintenance of clusters or groups of computers.

This is the IPMI module package.  It contains Warewulf modules for
adding IPMI functionality.

%package initramfs-%{_arch}
Summary: Warewulf - IPMI Module - Initramfs IPMI Capabilities for %{_arch}
Group: System Environment/Clustering
BuildArch: noarch
%description initramfs-%{_arch}
Warewulf Provisioning initramfs IPMI capabilities for %{_arch}.


%prep
%setup -n warewulf-ipmi-%{version}


%build
cd %{dname}
./autogen.sh
%configure --localstatedir=%{wwpkgdir}
%{__make} %{?mflags}


%install
cd %{dname}
%{__make} install DESTDIR=$RPM_BUILD_ROOT %{?mflags_install}


%files
%defattr(-,root,root)
%doc %{dname}/AUTHORS %{dname}/COPYING %{dname}/ChangeLog %{dname}/INSTALL %{dname}/NEWS %{dname}/README %{dname}/TODO
%{_libexecdir}/warewulf/ipmitool
%{perl_vendorlib}/Warewulf/Ipmi.pm
%{perl_vendorlib}/Warewulf/Module/Cli/*

%files initramfs-%{_arch}
%{wwpkgdir}/*
/srv/warewulf/initramfs/%{_arch}/capabilities/setup-ipmi

%changelog
